images:
  nginx:
    repository: nginx
    tag: ""
  router:
    repository: juspaydotin/hyperswitch-router
    tag: v1.111.0
  consumer:
    repository: juspaydotin/hyperswitch-consumer
    tag: v1.111.0
  producer:
    repository: juspaydotin/hyperswitch-producer
    tag: v1.111.0
  controlCenter:
    repository: juspaydotin/hyperswitch-control-center
    tag: v1.33.0
  sdk:
    repository: juspaydotin/hyperswitch-sdk
    tag: v0.80.0
  hyperswitch-card-vault:
    repository: juspaydotin/hyperswitch-card-vault
    tag: v0.4.0

config:
  imagePullPolicy: IfNotPresent
  upgradeStrategy: Recreate
  replicaCount: 1
  nginx:
    resources:
      requests:
        cpu: 100m
        memory: 128Mi
      limits:
        cpu: 500m
        memory: 1000Mi
  hyperswitchsdk:
    enable: true
    podAnnotations:
      "helm.sh/hook": post-install,post-upgrade
      "helm.sh/hook-weight": "-5"
      "helm.sh/hook-delete-policy": hook-succeeded
  hyperswitch-app:
    initDB:
      enable: true
  hyperswitch-card-vault:
    enabled: true
    
service:
  nginx:
    type: ClusterIP
    port: 8080
    loadBalancer:
      targetSecurityGroup: &lb_security_group lb_security_group
    router:
      host: &router_host http://localhost:8080
    sdk:
      host: &web_sdk_host http://localhost:9090
  hyperswitchsdk:
    port: 9090
    loadBalancer:
      targetSecurityGroup: "loadbalancer-sg"
  hyperswitch-app:
    loadBalancer:
      targetSecurityGroup: *lb_security_group
    router:
      version: v1.111.0
      host: *router_host
      sdk:
        host: *web_sdk_host

ingress:
  nginx:
    enabled: false
    hosts:
      - host:
        paths:
          - path: /
            pathType: ImplementationSpecific
  hyperswitchsdk:
  enabled: true
  className: "alb"
  annotations:
      alb.ingress.kubernetes.io/backend-protocol: HTTP
      alb.ingress.kubernetes.io/backend-protocol-version: HTTP1
      alb.ingress.kubernetes.io/group.name: hyperswitch-web-alb-ingress-group
      alb.ingress.kubernetes.io/ip-address-type: ipv4
      alb.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80}]'
      alb.ingress.kubernetes.io/load-balancer-name: hyperswitch-web
      alb.ingress.kubernetes.io/scheme: internet-facing
      alb.ingress.kubernetes.io/security-groups: *lb_security_group
      alb.ingress.kubernetes.io/tags: stack=hyperswitch-lb
      alb.ingress.kubernetes.io/target-type: ip
  hosts:
    - http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: hyperswitch-web
                port:
                  number: 80

